﻿@font-face {
    font-family: 'Material Symbols Outlined';
    font-style: normal;
    font-weight: 400;
    src: url(material-outlined-28.ttf) format('truetype');
}

@font-face {
    font-family: 'Material Symbols Filled';
    font-style: normal;
    font-weight: 400;
    src: url(material-outlined-28-filled.ttf) format('truetype');
}

/* Base styles for all material icons */
.material-symbols,
.material-symbols-outlined {
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

/* Outlined icon default */
.material-symbols-outlined {
    font-family: 'Material Symbols Outlined';
}

/* Filled icon or outlined icon in active/fill state */
.material-symbols,
.material-symbols-outlined.active,
.btn.active .material-symbols-outlined {
    font-family: 'Material Symbols Filled';
}

/* Color variations based on button type */
.btn.btn-primary.active .material-symbols-outlined {
    color: var(--tw-primary);
}

.btn.btn-secondary.active .material-symbols-outlined {
    color: var(--tw-secondary);
}

.btn.btn-danger.active .material-symbols-outlined {
    color: var(--tw-danger);
}

/* Size utilities */
.material-symbols.fs-32,
.material-symbols-outlined.fs-32 {
    font-size: 32px;
}

.material-symbols.fs-48,
.material-symbols-outlined.fs-48 {
    font-size: 48px;
}

body *:not(input, textarea) {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}